<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\GradingConfiguration\SchoolGradingConfigurationId;
use DomainException;

use function sprintf;

final class GradingConfigurationNotFoundException extends DomainException
{
    public static function withId(SchoolGradingConfigurationId $id): self
    {
        return new self(sprintf(
            'Configuration de notation "%s" introuvable.',
            $id,
        ));
    }
}
